
-- Telelader
-- Specialization class for Telelader functionality

-- @author  Kyosho
-- @date  29/11/2010



MoveHaspel = {};

function MoveHaspel.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Cutter, specializations);
end;

function MoveHaspel:load(xmlFile)

	self.moveableHaspel = {};
	self.moveableHaspel.index = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.moveableHaspel#index"));
	self.moveableHaspel.max = Utils.getNoNil(getXMLFloat(xmlFile, "vehicle.moveableHaspel#maxY"), 0); 
	self.moveableHaspel.min = Utils.getNoNil(getXMLFloat(xmlFile, "vehicle.moveableHaspel#minY"), 0); 
	
end;

function MoveHaspel:delete()
end;

function MoveHaspel:mouseEvent(posX, posY, isDown, isUp, button)
end;

function MoveHaspel:keyEvent(unicode, sym, modifier, isDown)

end;

function MoveHaspel:update(dt)

	if self.moveableHaspel ~= nil then
		local xAttacher, yAttacher, zAttacher = getTranslation(self.moveableHaspel.index);
		local maxY = self.moveableHaspel.max;
		local minY = self.moveableHaspel.min;
		local moveSpeed = 0.002;
			if InputBinding.isPressed(InputBinding.Haspel_UP) then
				if zAttacher < maxY then
					zAttacher = zAttacher + moveSpeed;
				else
					zAttacher = maxY;
				end;
			elseif InputBinding.isPressed(InputBinding.Haspel_DOWN) then
				if zAttacher > minY then
					zAttacher = zAttacher - moveSpeed;
				else
					zAttacher = minY;
				end;
			end;
		setTranslation(self.moveableHaspel.index, xAttacher, yAttacher, zAttacher);
	end;
				
end;

function MoveHaspel:onLeave()

end;

function MoveHaspel:draw()

end;

function MoveHaspel:validateAttacherJoint(implement, jointDesc, dt)
    return true;
end;

